package com.bonus.canteen.core.customer.dto;


import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class UpdatePsnTypeDTO {
   private @NotNull(
   message = "主键id不可为空"
) Long id;
   private Integer psnType;
   private String psnTypeName;
   private Integer delFlag;

   public Long getId() {
      return this.id;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getPsnTypeName() {
      return this.psnTypeName;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public UpdatePsnTypeDTO setId(final Long id) {
      this.id = id;
      return this;
   }

   public UpdatePsnTypeDTO setPsnType(final Integer psnType) {
      this.psnType = psnType;
      return this;
   }

   public UpdatePsnTypeDTO setPsnTypeName(final String psnTypeName) {
      this.psnTypeName = psnTypeName;
      return this;
   }

   public UpdatePsnTypeDTO setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }




}
